﻿using Abp.AutoMapper;
using Abp.Modules;
using Abp.Reflection.Extensions;
using MeetingSchedule.Authorization;

namespace MeetingSchedule
{
    [DependsOn(
        typeof(MeetingScheduleCoreModule), 
        typeof(AbpAutoMapperModule))]
    public class MeetingScheduleApplicationModule : AbpModule
    {
        public override void PreInitialize()
        {
            Configuration.Authorization.Providers.Add<MeetingScheduleAuthorizationProvider>();
        }

        public override void Initialize()
        {
            var thisAssembly = typeof(MeetingScheduleApplicationModule).GetAssembly();

            IocManager.RegisterAssemblyByConvention(thisAssembly);

            Configuration.Modules.AbpAutoMapper().Configurators.Add(
                // Scan the assembly for classes which inherit from AutoMapper.Profile
                cfg => cfg.AddMaps(thisAssembly)
            );
        }
    }
}
