﻿using Abp.Configuration.Startup;
using Abp.Localization.Dictionaries;
using Abp.Localization.Dictionaries.Xml;
using Abp.Reflection.Extensions;

namespace MeetingSchedule.Localization
{
    public static class MeetingScheduleLocalizationConfigurer
    {
        public static void Configure(ILocalizationConfiguration localizationConfiguration)
        {
            localizationConfiguration.Sources.Add(
                new DictionaryBasedLocalizationSource(MeetingScheduleConsts.LocalizationSourceName,
                    new XmlEmbeddedFileLocalizationDictionaryProvider(
                        typeof(MeetingScheduleLocalizationConfigurer).GetAssembly(),
                        "MeetingSchedule.Localization.SourceFiles"
                    )
                )
            );
        }
    }
}
