﻿using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Configuration;
using Abp.Modules;
using Abp.Reflection.Extensions;
using MeetingSchedule.Configuration;

namespace MeetingSchedule.Web.Host.Startup
{
    [DependsOn(
       typeof(MeetingScheduleWebCoreModule))]
    public class MeetingScheduleWebHostModule: AbpModule
    {
        private readonly IWebHostEnvironment _env;
        private readonly IConfigurationRoot _appConfiguration;

        public MeetingScheduleWebHostModule(IWebHostEnvironment env)
        {
            _env = env;
            _appConfiguration = env.GetAppConfiguration();
        }

        public override void Initialize()
        {
            IocManager.RegisterAssemblyByConvention(typeof(MeetingScheduleWebHostModule).GetAssembly());
        }
    }
}
